Bug 1121129 - Additional regions backports
Summary: Additional regions backports
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Node
Version: 2.1.0
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: ---
: ---
Assignee: Brenton Leanhardt
QA Contact: libra bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-18 12:42 UTC by Brenton Leanhardt
Modified: 2014-08-04 13:27 UTC (History)
6 users (show)

Fixed In Version: rubygem-openshift-origin-controller-1.23.10.7-1.el6op, rubygem-openshift-origin-msg-broker-mcollective-1.23.3.4-1.el6op
Doc Type: Bug Fix
Doc Text:
Note to docs: these fixes are for bugs that never shipped in OSE, no real reason to mention them in errata (but the bug tracks the commits into builds into the errata).
Clone Of:
Environment:
Last Closed: 2014-08-04 13:27:55 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2014:0999 normal SHIPPED_LIVE Red Hat OpenShift Enterprise 2.1.4 bug fix and enhancement update 2014-08-04 17:26:43 UTC

Description Brenton Leanhardt 2014-07-18 12:42:51 UTC
Description of problem:

In addition to Bug #1116124 we should consider the following upstream pull requests:

https://github.com/openshift/origin-server/pull/5614
https://github.com/openshift/origin-server/pull/5618

Comment 1 Brenton Leanhardt 2014-07-18 12:47:27 UTC
Upstream commits:

commit 9c3dfc6570ef4953c21e61a7b4adf8516352b8bb
Author: Abhishek Gupta <abhgupta@redhat.com>
Date:   Thu Jul 17 13:53:50 2014 -0700

    Logging error if region is specified but no districted nodes available

[bleanhar@harbin enterprise-server]$ git show c20937b
commit c20937b2db82e88ba8bed0580a103af7b93c7e73
Author: Lili Nader <lnader@redhat.com>
Date:   Thu Jul 17 20:31:32 2014 -0700

    Added LIST_REGIONS

Comment 4 Anping Li 2014-07-21 08:12:32 UTC
Verify and pass in puddle-2-1-2014-07-18

For #5614
Before fix: 
set DEFAULT_REGION_NAME="usa", set DISTRICTS_REQUIRE_FOR_APP_CREATE=false. don't specify region in district, create app, success.

After fix:
create app as pre above.
Watch /var/log/production.log. warning message are shown.

2014-07-21 04:07:24.603 [WARN ] Specified region will be ignored since there are no districted nodes available (pid:2367)
2014-07-21 04:07:31.773 [INFO ] Completed 201 Created in 13019ms (Views: 11.9ms) (pid:2367)


For #5618, After fix, the region list by REST API, and the url can are correct.
[root@broker ~]# curl -s -k -H 'Accept: application/xml,version=1.5'  https://broker.ose21z-manual.com.cn/broker/rest/api -u 'hanli1:redhat'|grep -A 6 "List all regions"
      <rel>List all regions</rel>
      <method>GET</method>
      <href>https://broker.ose21z-manual.com.cn/broker/rest/regions</href>
      <required-params/>
      <optional-params/>
    </link>
    <link>

[root@broker ~]# curl -s -k -H 'Accept: application/xml,version=1.5'  https://broker.ose21z-manual.com.cn/broker/rest/regions -X GET -u 'hanli1:redhat'|grep -A 3 '<region>'
    <region>
      <id>53cca024db26c83e70000001</id>
      <name>USA</name>
      <zones/>
--
    <region>
      <id>53cca225db26c8be89000001</id>
      <name>CN</name>
      <zones/>
--
    <region>
      <id>53cca233db26c85974000001</id>
      <name>FR</name>
      <zones>

Comment 6 errata-xmlrpc 2014-08-04 13:27:55 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2014-0999.html


Note You need to log in before you can comment on or make changes to this bug.